Package Details: par 1.52-4

Git Clone URL: https://aur.archlinux.org/par.git (read-only)
Package Base: par
Description: Paragraph reformatter
Upstream URL: http://www.nicemice.net/par/
Licenses: custom
Submitter: None
Maintainer: rh995
Last Packager: rh995
Votes: 31
Popularity: 0.002655
First Submitted: 2005-04-18 14:04
Last Updated: 2015-06-11 05:58

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

rh995 commented on 2015-03-11 03:30

Fixed.

ice9 commented on 2015-03-11 03:22

I think the combination of the patch not working for me (I don't think I have an especially unusual setup, so I suspect there will be others with similar issues), with the patch lacking any kind of documentation, is a good reason to remove it.

ice9 commented on 2015-03-11 03:21

I think the combination of it not working for me (I don't think I have an especially unusual setup, so I suspect there will be others with similar issues), combined with the patch lacking any kind of documentation, is a good reason to remove it.

rh995 commented on 2015-03-11 02:59

Patch works just fine for me, but I'm not really sure what it does, actually. The links on the par website are broken. It is supposed to add support for unicode, but actually par seems to work fine with weird unicode characters without the patch. Maybe I'll just remove it if it's causing problems.

ice9 commented on 2015-03-11 02:46

That i18n patch completely breaks par for me. No matter what the input, par only outputs blank lines. If I comment out the patch line in the PKGBUILD, then all is normal.

Is there some secret to configure par for use with the patch? There does not seem to be any documentation associated with the patch.

I have LANG=en_US.UTF-8 if that matters.

rh995 commented on 2015-02-20 06:18

I've taken over this package because I wanted it. I will try to keep it updated. Thanks to npouillard for some PKGBUILD suggestions, but mostly I wrote the new one from scratch.

fsckd commented on 2015-02-10 22:30

This package won't build after the pacman 4.2 update. Please add a package() function. I also suggest adding the i18n patch like in npouillard's PKGBUILD.

pierrec commented on 2013-02-02 18:48

It needs x86_64 in arch.
arch=(i686 x86_64)

listx commented on 2011-03-23 21:04

From the looks of it, the last time the maintainer (quaqo) has had any AUR activity is in 2009. All of his other packages have similar update timestamps. I personally don't use this package any more, but I suggest anyone else to post on the aur-general mailing list to take over as the new maintainer...

npouillard commented on 2011-03-13 14:44

Here is a PKGBUILD with previous suggestions http://pastebin.com/92irVUmM
Feel free to disown the package if you no longer have the time to maintain it.

All comments